Module java.xml.crypto
Package javax.xml.crypto

## Interface AlgorithmMethod

- All Known Subinterfaces:
    `CanonicalizationMethod`, `DigestMethod`, `SignatureMethod`, `Transform`
  All Known Implementing Classes:
    `TransformService`

      public interface AlgorithmMethod

  An abstract representation of an algorithm defined in the XML Security specifications. Subclasses represent specific types of XML security algorithms, such as a `Transform`.
  Since:
    1.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAlgorithm​()` | Returns the algorithm URI of this `AlgorithmMethod`.
    `AlgorithmParameterSpec` | `getParameterSpec​()` | Returns the algorithm parameters of this `AlgorithmMethod`.

- - ### Method Detail

    - #### getAlgorithm

          String getAlgorithm​()

      Returns the algorithm URI of this `AlgorithmMethod`.
      Returns:
        the algorithm URI of this `AlgorithmMethod`

    - #### getParameterSpec

          AlgorithmParameterSpec getParameterSpec​()

      Returns the algorithm parameters of this `AlgorithmMethod`.
      Returns:
        the algorithm parameters of this `AlgorithmMethod`. Returns `null` if this `AlgorithmMethod` does not require parameters and they are not specified.